Skip to main content
GET
/
invoices
/
list-summary
List Invoice summaries
curl --request GET \
  --url https://eu.sequencehq.com/api/invoices/list-summary \
  --header 'Authorization: <authorization>'
{
  "items": [
    {
      "id": "ba37a392-7054-4dae-ab37-6fee9e23fe06",
      "invoiceNumber": "INV2",
      "status": "DRAFT",
      "currency": "GBP",
      "grossTotal": 10,
      "customerId": "b3c0cf23-6717-4cdc-b190-acf8aa6ccd8a",
      "customerLegalCompanyName": "Facebook",
      "billingPeriod": {
        "start": "2022-10-01",
        "endInclusive": "2022-10-30"
      },
      "dueDate": "2022-11-05",
      "accountingDate": "2022-10-05",
      "links": [
        {
          "externalId": "ID",
          "externalService": "Xero",
          "syncTime": "2022-06-28T16:47:00Z",
          "externalUrl": "https://invoicing.xero.com/view/85e52542-3e54-4f0d-872b-33bba11a0504"
        }
      ]
    }
  ],
  "pagination": {
    "after": "MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3",
    "before": "MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz",
    "totalResultSize": 10
  }
}

Headers

Authorization
string
required

Your API credentials. Eg. Basic {credentials}.

sequence-version
enum<string>

Use this header to select an API version

Available options:
2024-07-30

Query Parameters

before
string

before

after
string

after

limit
integer<int32>

limit

sortOrder
enum<string>

sortOrder

Available options:
ASC,
DESC
sortBy
string

sortBy

invoiceStatus
string

invoiceStatus

invoicePaymentStatus
string

invoicePaymentStatus

customerId
string

customerId

billingScheduleId
string

billingScheduleId

dueBefore
string

dueBefore

dueAfter
string

dueAfter

sentBefore
string

sentBefore

sentAfter
string

sentAfter

invoiceBefore
string

invoiceBefore

invoiceAfter
string

invoiceAfter

excludeZeroQuantity
boolean

excludeZeroQuantity

invoiceCurrency
string

invoiceCurrency

search

invoiceNumber
string

invoiceNumber

netTotal
number

netTotal

excludeInvoiceStatus
string

excludeInvoiceStatus

excludeInvoicePaymentStatus
string

excludeInvoicePaymentStatus

excludeCustomerId
string

excludeCustomerId

excludeBillingScheduleId
string

excludeBillingScheduleId

excludeInvoiceCurrency
string

excludeInvoiceCurrency

excludeInvoiceNumber
string

excludeInvoiceNumber

excludeNetTotal
number

excludeNetTotal

excludeSearch

Response

OK

items
object[]
required

Invoice summaries

Example:
[
{
"id": "ba37a392-7054-4dae-ab37-6fee9e23fe06",
"invoiceNumber": "INV2",
"status": "DRAFT",
"currency": "GBP",
"grossTotal": 10,
"customerId": "b3c0cf23-6717-4cdc-b190-acf8aa6ccd8a",
"customerLegalCompanyName": "Facebook",
"billingPeriod": {
"start": "2022-10-01",
"endInclusive": "2022-10-30"
},
"dueDate": "2022-11-05",
"accountingDate": "2022-10-05",
"links": [
{
"externalId": "ID",
"externalService": "Xero",
"syncTime": "2022-06-28T16:47:00Z",
"externalUrl": "https://invoicing.xero.com/view/85e52542-3e54-4f0d-872b-33bba11a0504"
}
]
}
]
pagination
object
required

Results pagination

Example:
{
"after": "MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3",
"before": "MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz",
"totalResultSize": 10
}